> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Add comment

> Add comment

<sup>Required permissions: `customer:write`</sup>



## OpenAPI

````yaml post /customers/{id}/comment
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /customers/{id}/comment:
    parameters: []
    post:
      tags:
        - Customer
      summary: Add comment
      description: |-
        Add comment

        <sup>Required permissions: `customer:write`</sup>
      operationId: addCustomerComment
      parameters:
        - name: id
          in: path
          description: Customer identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        description: The new Customer resource
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Customer.AddCommentActivityRequest'
          text/html:
            schema:
              $ref: '#/components/schemas/Customer.AddCommentActivityRequest'
        required: true
      responses:
        '201':
          description: Customer resource created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer.Activity-ActivityRead'
            text/html:
              schema:
                $ref: '#/components/schemas/Customer.Activity-ActivityRead'
          links: {}
        '400':
          description: Invalid input
        '422':
          description: Unprocessable entity
      deprecated: false
      security:
        - JWT:
            - customer:write
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X POST \
             /customers/{id}/comment \
             --header "Content-Type: application/json" \
             --header "Authorization: Bearer <token>" \
             --data '{
                "comment": ""
            }'
components:
  schemas:
    Customer.AddCommentActivityRequest:
      type: object
      description: ''
      deprecated: false
      required:
        - comment
      properties:
        comment:
          minLength: 1
          maxLength: 5000
          type: string
    Customer.Activity-ActivityRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        dateTime:
          readOnly: true
          type: string
          format: date-time
        type:
          readOnly: true
          type: string
          enum:
            - commented
            - customer.created
            - customer.email.added
            - customer.email.default_changed
            - customer.address.added
            - subscription.removed
            - custom_fields.updated
            - customer.address.default_changed
            - customer.updated
            - stripe.customer.attached
            - customer.archived
            - customer.unarchived
            - customer.group.assigned
            - customer.contact_person.assigned
            - customer.contact_person.removed
            - customer.partner.assigned
            - customer.partner.removed
            - customer.vat_id.validated
            - customer.vat_id.invalidated
            - subscription.trial.extended
            - subscription.trial.revoked
            - subscription.payment_method.updated
            - subscription.billing_group.updated
            - subscription.activated
            - subscription.cancelled
            - subscription.terminated
            - subscription.updated
            - subscription.invoice_address.updated
            - subscription.paused
            - subscription.resumed
            - subscription.cancellation.revoked
            - subscription.item.added
            - subscription.offer.created
            - product.created
            - product.updated
            - product.archived
            - product.unarchived
            - subscription.created
            - api_key.created
            - payment_gateway.configured
            - tenant.completed
            - checkout_link.created
            - price.created
            - user.invitation.sent
            - tenant.updated
            - tenant.created
            - tenant.account.added
            - user.invitation.accepted
            - user.invitation.revoked
            - webhook.created
            - get_started.finished
            - customer.removed
            - invoice.removed
            - invoice.created
            - invoice.finalized
            - invoice.credited
            - invoice.imported
            - invoice.payment.initiated
            - invoice.sent
            - invoice.paid
            - invoice.payment_method.updated
            - invoice.canceled
            - invoice.closed
            - invoice.refunded
            - invoice.unpaid
            - invoice.requires_approval
            - invoice.dunning.applied
            - payment.retry
            - payment.payment_method.updated
            - payment.failed
            - invoice.dunning.disabled
            - invoice.dunning.enabled
            - invoice.updated
            - import.completed
        user:
          readOnly: true
          description: Nulled users are system activities
          anyOf:
            - $ref: '#/components/schemas/Account-ActivityRead'
            - type: 'null'
        metadata:
          readOnly: true
          type: object
          additionalProperties:
            type: string
        pinned:
          readOnly: true
          type: boolean
    Account-ActivityRead:
      type: object
      description: ''
      deprecated: false
      properties:
        user:
          $ref: '#/components/schemas/User-ActivityRead'
          readOnly: true
        deactivated:
          readOnly: true
          type: boolean
        avatar:
          type:
            - string
            - 'null'
        fullName:
          readOnly: true
          type: string
        initial:
          readOnly: true
          type: string
        gravatarUrl:
          readOnly: true
          type:
            - string
            - 'null'
    User-ActivityRead:
      type: object
      description: ''
      deprecated: false
      required:
        - firstName
        - lastName
        - email
      properties:
        firstName:
          minLength: 2
          maxLength: 255
          readOnly: true
          description: The firstname of the user
          example: John
          type: string
        lastName:
          minLength: 2
          maxLength: 255
          readOnly: true
          description: The lastname of the user
          example: Doe
          type: string
        email:
          format: email
          externalDocs:
            url: https://schema.org/email
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````